RPC_GSS_SET_SVC_NAME(3)

NAME
rpc_gss_set_svc_name - Associate a GSS-API service principal with an RPC service

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_set_svc_name(const char *principal, const char *mechanism, u_int req_time, u_int program, u_int version);

DESCRIPTION
This function registers a service principal which will be used to authenticate RPCSEC_GSS security contexts for a given RPC program and version.

PARAMETERS

principal
    A string representing the service principal in the form "service@hostname"

mechanism
    The name of the security mechanism

req_time
    The time in seconds that the service credentials should remain valid. See gss_acquire_cred(3) for more details. principal.

program
    RPC program number for this service

version
    RPC program version for this service

RETURN VALUES
Returns TRUE if the service principal was registered or FALSE otherwise.

AVAILABILITY
The rpc_gss_set_svc_name() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), gss_acquire_cred(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.